// ignore_for_file: invalid_annotation_target

import 'package:freezed_annotation/freezed_annotation.dart';

part 'tender_detail_request.freezed.dart';
part 'tender_detail_request.g.dart';

@freezed
abstract class TenderDetailRequest with _$TenderDetailRequest {
  const factory TenderDetailRequest({@JsonKey(name: 'id') required String id}) =
      _TenderDetailRequest;

  factory TenderDetailRequest.fromJson(Map<String, dynamic> json) =>
      _$TenderDetailRequestFromJson(json);
}
